image: docker:latest
stages:
- build

before_script:
- docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}

build:
  stage: build
  script:
  - docker pull ${CI_REGISTRY_IMAGE}:latest || true
  - docker build --cache-from ${CI_REGISTRY_IMAGE}
                 --tag ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_SLUG}
                 --tag ${CI_REGISTRY_IMAGE}:latest .
  - docker push ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_SLUG}
  - docker push ${CI_REGISTRY_IMAGE}:latest
  only:
  - master
  tags:
  - docker